#! /usr/bin/env ruby

# Ruby program to generate voodoo.gemspec

print <<EOF
Gem::Specification.new do |s|
  s.name = 'voodoo'
  s.version = '#{ENV['VERSION']}'
  s.platform = Gem::Platform::RUBY
  s.homepage = 'http://inglorion.net/software/voodoo/'
  s.rubyforge_project = 'voodoo'
  s.author = 'Robbert Haarman'
  s.email = 'voodoo@inglorion.net'
  s.summary = 'Compiler for the Voodoo programming language'
  s.description = <<EOT
The Voodoo compiler is an implementation of the Voodoo programming
language, a simple low-level programming language.

The compiler can be used both as a stand-alone program to
compile Voodoo source code and as a Ruby module to generate code on
the fly. Multiple target platforms are supported.
EOT
  s.files = Dir.glob("{bin,lib}/**/*").select do |file|
    # Exclude Makefiles and .in files
    !File.fnmatch?("**/Makefile", file) &&
      !File.fnmatch?("**.in", file)
  end
  s.require_path = 'lib'
  s.bindir = 'bin'
  s.executables = ['voodooc']
  s.has_rdoc = true  
  s.rdoc_options = [ "-m", "Voodoo", "-t", "Voodoo Code Generator API Documentation" ]
end
EOF
